PHPExcel_Chart_DataSeriesValues

category | PHPExcel
package | PHPExcel_Chart
copyright | Copyright (c) 2006 - 2014 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## Create a new PHPExcel_Chart_DataSeriesValues object

    __construct($dataType, $dataSource, $formatCode, $pointCount, $dataValues, $marker)

### Parameters

#### $dataType

#### $dataSource

#### $formatCode

#### $pointCount

#### $dataValues

#### $marker

## Get Series Data Source (formula)

    getDataSource() : string

### Returns

`string`

## Get Series Data Type

    getDataType() : string

### Returns

`string`

## Get the first Series Data value

    getDataValue() : mixed

### Returns

`mixed`

## Get Series Data Values

    getDataValues() : array

### Returns

`array`of mixed

## Get Series Format Code

    getFormatCode() : string

### Returns

`string`

## Get Series Point Count

    getPointCount() : integer

### Returns

`integer`

## Get Point Marker

    getPointMarker() : string

### Returns

`string`

## Identify if the Data Series is a multi-level or a simple series

    isMultiLevelSeries() : boolean

### Returns

`boolean`

## Return the level count of a multi-level Data Series

    multiLevelCount() : boolean

### Returns

`boolean`

## refresh()

    refresh(\PHPExcel_Worksheet $worksheet, $flatten)

### Parameters

#### $worksheet

#### $flatten

## Set Series Data Source (formula)

    setDataSource(string $dataSource, $refreshDataValues) : \PHPExcel_Chart_DataSeriesValues

### Parameters

#### $dataSource

`string`

#### $refreshDataValues

### Returns

`\PHPExcel_Chart_DataSeriesValues`

## Set Series Data Type

    setDataType(string $dataType) : \PHPExcel_Chart_DataSeriesValues

### Parameters

#### $dataType

`string`

Datatype of this data series Typical values are: PHPExcel_Chart_DataSeriesValues::DATASERIES_TYPE_STRING Normally used for axis point values PHPExcel_Chart_DataSeriesValues::DATASERIES_TYPE_NUMBER Normally used for chart data values

### Returns

`\PHPExcel_Chart_DataSeriesValues`

## Set Series Data Values

    setDataValues(array $dataValues, boolean $refreshDataSource) : \PHPExcel_Chart_DataSeriesValues

### Parameters

#### $dataValues

`array`

#### $refreshDataSource

`boolean`

TRUE - refresh the value of _dataSource based on the values of $dataValues FALSE - don't change the value of _dataSource

### Returns

`\PHPExcel_Chart_DataSeriesValues`

## Set Series Format Code

    setFormatCode(string $formatCode) : \PHPExcel_Chart_DataSeriesValues

### Parameters

#### $formatCode

`string`

### Returns

`\PHPExcel_Chart_DataSeriesValues`

## Set Point Marker

    setPointMarker(string $marker) : \PHPExcel_Chart_DataSeriesValues

### Parameters

#### $marker

`string`

### Returns

`\PHPExcel_Chart_DataSeriesValues`

## _stripNulls()

    _stripNulls($var)

### Parameters

#### $var

### Properties

##

    $_dataSource : string

##

    $_dataType : string

##

    $_dataTypeValues

##

    $_dataValues : array

##

    $_formatCode : string

##

    $_marker : string

##

    $_pointCount : integer

### Constants

## DATASERIES_TYPE_NUMBER

    DATASERIES_TYPE_NUMBER

## DATASERIES_TYPE_STRING

    DATASERIES_TYPE_STRING